Get All
GET
/{organization}/projects
const url = 'https://app.civillo.com/api/v1/example/projects';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.civillo.com/api/v1/example/projects \ --header 'Authorization: Bearer <token>'Get all projects you have access to.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”organization
required
string
The organization nickname
Responses
Section titled “ Responses ”Successful response
Media typeapplication/json
Array
object
id
The unique identifier of the project
integer
name
The full name of the organization
string
projectUuid
The public id of the project
string format: uuid
projectType
Either 1 for a standard project or 2 for a tender.
integer
archived
Describes whether or not this project is archived.
boolean
Example
[ { "id": 123, "name": "My Organization", "projectUuid": "b86dcb06-9525-4f1a-a461-414e1eb6c2f2", "projectType": 1, "archived": false }]Unauthorized
Forbidden